Skip to main content
GET
/
v2
/
notes
/
{noteId}
/
replies
Get replies for a Note
curl --request GET \
  --url https://api.affinity.co/v2/notes/{noteId}/replies \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 2,
      "type": "user-reply",
      "content": {
        "html": "<p> This is a user reply note. <span data-type=\"note-mention\" data-note-mention-type=\"person\" data-note-mention-person-id=\"1\"> Michael Torres </span> was mentioned. </p>"
      },
      "creator": {
        "id": 1,
        "firstName": "Jane",
        "lastName": "Smith",
        "primaryEmailAddress": "jane.smith@northpointvc.com",
        "type": "internal"
      },
      "mentions": [
        {
          "id": 1,
          "type": "person",
          "person": {
            "id": 1,
            "firstName": "Michael",
            "lastName": "Torres",
            "primaryEmailAddress": "m.torres@northpointvc.com",
            "type": "internal"
          }
        }
      ],
      "parent": {
        "id": 1
      },
      "createdAt": "2023-01-01T00:00:00Z",
      "updatedAt": "2023-02-01T00:00:00Z"
    },
    {
      "id": 3,
      "type": "user-reply",
      "content": {
        "html": "<p>This is another user reply note.</p>"
      },
      "creator": {
        "id": 2,
        "firstName": "Michael",
        "lastName": "Torres",
        "primaryEmailAddress": "m.torres@northpointvc.com",
        "type": "internal"
      },
      "mentions": [],
      "parent": {
        "id": 1
      },
      "createdAt": "2023-02-01T00:00:00Z",
      "updatedAt": "2023-03-01T00:00:00Z"
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/notes/1/replies?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/notes/1/notes?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

noteId
integer<int32>
required

Note ID

Required range: 1 <= x <= 2147483647

Query Parameters

filter
string

Filter options

cursor
string

Cursor for the next or previous page

limit
integer<int32>
default:20

Number of items to include in the page

Required range: 0 <= x <= 100
totalCount
boolean
default:false

Include total count of the collection in the pagination response

Response

OK

Replies for a Note

data
(notes.UserReplyNote · object | notes.AiNotetakerReplyNote · object)[]
required

A page of Note Replies

Maximum array length: 100

A reply to a note created by a user

Example:
{
"id": 2,
"type": "user-reply",
"content": {
"html": "<p>This is a user reply note!</p>"
},
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Smith",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"mentions": [],
"parent": { "id": 1 },
"createdAt": "2023-01-01T00:00:00Z",
"updatedAt": "2023-01-21T00:00:00Z"
}
pagination
PaginationWithTotalCount · object
required